System requirements

From Metaverse Keeper Wiki
Jump to: navigation, search

This article is a stub. You can help Metaverse Keeper Wiki by expanding it.

The following are the minimum and recommended system requirements for Metaverse Keeper. While these requirements do not represent a guaranteed working configuration, meeting the minimum requirements should ensure at least a launch-able environment.

Windows[edit | edit source]

Minimum requirements[edit | edit source]

  • OS: Windows 7/8/10 (Requires a 64-bit processor and operating system)
  • Processor: Intel Core 2 Duo 2.8 GHz or equivalent
  • Memory: 4 GB RAM
  • Graphics: Intel® HD Graphics 3000
  • Network: Broadband Internet connection
  • Storage: 2 GB available space
  • Sound Card: Any

Recommended requirements[edit | edit source]

  • OS: Windows 7/8/10 (Requires a 64-bit processor and operating system)
  • Processor: Intel Core 2 Duo or AMD Athlon 64 X2 5600+
  • Memory: 4 GB RAM
  • Graphics: nVidia GeForce GTX 560 series or higher / AMD HD 6870 or higher
  • Network: Broadband Internet connection
  • Storage: 2 GB available space
  • Sound Card: Any

Mac[edit | edit source]

Minimum requirements[edit | edit source]

  • OS: OS X 10.7 or later (Requires a 64-bit processor and operating system)
  • Processor: i3
  • Memory: 4 GB RAM
  • Graphics: Geforce 9600GT or Radeon® HD4800 series
  • Network: Broadband Internet connection
  • Storage: 2 GB available space
  • Sound Card: Any

Recommended requirements[edit | edit source]

  • OS: OS X 10.7 or later (Requires a 64-bit processor and operating system)
  • Processor: i5
  • Memory: 4 GB RAM
  • Network: Broadband Internet connection
  • Storage: 2 GB available space
  • Sound Card: Any

See also[edit | edit source]